Skip to main content
POST

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-accept-cache
boolean

Pass true to accept the cached response. If the header is not passed, or if false is sent as the value, the request will hit the origin.

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Content-Type
enum<string>

Media type of the request body.

Available options:
application/json

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.kyc.pan_verification.request
pan
string
required

Permanent Account Number to be verified against official PAN records.

Pattern: ^[A-Z]{5}[0-9]{4}[A-Z]{1}$
name_as_per_pan
string
required

Full name of the PAN holder exactly as printed on the PAN card.

Minimum string length: 2
date_of_birth
string
required

Date of birth or date of incorporation associated with the PAN in DD/MM/YYYY format.

Pattern: ^(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})$

Explicit consent from the end user to retrieve and verify PAN details.

Available options:
Y,
y
reason
string
required

Purpose for requesting PAN verification.

Minimum string length: 20

Response

code
integer
required
timestamp
integer
required
transaction_id
string
required
data
object
required